متصلون الآن  

/v1/portfolio/

Manages all portfolio related functions
GET

/v1/portfolio/get_last_order_list_id

#
Returns the order list that has been used last by the api user
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/portfolio/get_last_order_list_id' \
  --data-urlencode 'key={{API_KEY}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$portfolio_get_last_order_list_id_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadstring نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_last_order_list_id",
    "RequestUserAlias": "example-user",
    "Payload": "00000000-0000-4000-8000-000000900001"
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/portfolio/get_listings

#
Returns all listings in the users portfolio.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
getPopularityScoreBracket bool لا false if true, the popularity score for all listings will be returned
dateTimeRangeStart string لا "" Time Range Start Date, will be ignored if empty format: YYYY-MM-DD HH:MM:SS
dateTimeRangeEnd string لا "" Time Range End Date, will be ignored if empty format: YYYY-MM-DD HH:MM:SS
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/portfolio/get_listings' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'getPopularityScoreBracket={{getPopularityScoreBracket}}' \
  --data-urlencode 'dateTimeRangeStart={{dateTimeRangeStart}}' \
  --data-urlencode 'dateTimeRangeEnd={{dateTimeRangeEnd}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$portfolio_get_listings_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.Name = "Portfolio Listing Items" نعم
$.oneOf[0].allOf[1].Payload.MetaInformation = [] نعم
$.oneOf[0].allOf[1].Payload.KeyValueListarray نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[]object لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].Namestring ["AppointmentDrafts","ApprovedAppointments","PrivateAppointments","UnlockedAppointments","SubmittedListings_Rejections","SubmittedListings_InReview","SubmittedListings_WaitingForReview"] نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].MetaInformationobject نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].MetaInformation.ListingCountinteger نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueListarray نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[]object لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingIDstring | null نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationAliasstring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationIDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingRespondByTime نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingRespondByTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingRespondByTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationCitySlug نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationCitySlug.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].locationCitySlug.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].creatorUserAlias نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].creatorUserAlias.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].creatorUserAlias.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeIDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeName نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeName.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].inventoryTypeName.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingDatestring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingTimestring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingStartHourDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingStartHour.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingStartHour.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingCurrentAskingPriceDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingCurrentAskingPrice.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingCurrentAskingPrice.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].bid-communityPostID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingDetailStatementstring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingStatusstring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPublicConfirmationNumberstring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].orderListID نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].orderListID.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].orderListID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPopularityScoreBracket لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPopularityScoreBracket.anyOf[0]number لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPopularityScoreBracket.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingPopularityScoreBracket.anyOf[2]null لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsOneDayDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsOneDay.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsOneDay.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsAllTimeDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsAllTime.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueList[].listingViewsAllTime.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueFieldListarray نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].KeyValueFieldList[]string لا
$.oneOf[0].allOf[1].Payload.KeyValueFieldList = [] نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_listings",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "Portfolio Listing Items",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/portfolio/get_my_appointments_grouped_by_city

#
Returns the authenticated viewer's appointments grouped by city, with separate counts for upcoming (Date >= today) and past (Date < today) rows. Powers the v2 sidebar's "My Bookings" block. Each group carries the city's IATA-style group code, display name, and emoji from ATAirport (joined via ATLocation.ATAirport_CityGroupCode, which is a denormalized cache column on ATLocation — no extra join to ATAirport in the count query). Filters applied (always): - CurrentOwner-ATUser_ID = the authenticated viewer (self-only; no peer-user param by design). - DeletedDate IS NULL on ATAppointment and ATLocation. - Status is one of the active My Bookings appointment states returned by Appointment::GetMyPlansAppointmentStatuses(). - ATAirport_CityGroupCode populated (rows without a city are dropped silently — they cannot be grouped meaningfully). Sort: groups are returned in the requested order. "upcoming" puts cities with the most upcoming appointments first (ties broken by total count). "name" sorts alphabetically by city display name.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
sortBy string لا "upcoming" Sort mode: "upcoming" (default) or "name".
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/portfolio/get_my_appointments_grouped_by_city' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'sortBy={{sortBy}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$portfolio_get_my_appointments_grouped_by_city_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadarray نعم
$.oneOf[0].allOf[1].Payload[]object لا
$.oneOf[0].allOf[1].Payload[].cityCodestring نعم
$.oneOf[0].allOf[1].Payload[].cityNamestring نعم
$.oneOf[0].allOf[1].Payload[].emojistring نعم
$.oneOf[0].allOf[1].Payload[].citySlugstring نعم
$.oneOf[0].allOf[1].Payload[].upcomingCountinteger نعم
$.oneOf[0].allOf[1].Payload[].pastCountinteger نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_my_appointments_grouped_by_city",
    "RequestUserAlias": "example-user",
    "Payload": []
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/portfolio/get_my_calendar_items

#
Returns every time-bound item belonging to the viewer that falls in the window [from, to], normalized into the CalendarItem shape consumed by /modules/v2/travel_plans/?view=calendar. P1 covers bids and appointments — the two types backed by an existing per-user fetcher. Location events, transactions, livestreams and contract deadlines plug in as additional foreach-blocks once their helpers exist (see CALENDAR_DESIGN.md §5).

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
from string نعم — inclusive lower bound, format YYYY-MM-DD
to string نعم — inclusive upper bound, format YYYY-MM-DD
types array لا [] optional allowlist of item types, e.g. ['listing','bid','appointment','sold']
limit int لا 500 cap on total items returned after merge
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/portfolio/get_my_calendar_items' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'from={{from}}' \
  --data-urlencode 'to={{to}}' \
  --data-urlencode 'types={{types}}' \
  --data-urlencode 'limit={{limit}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
المعلمات: types
الحقلالنوعمطلوبالوصف
typesstring (application/json) لاJSON-encoded array. Empty includes every implemented source. event, transaction, livestream and contract currently return no items.
typesarray (JSON بعد فك الترميز) لا
types[]string ["listing","bid","appointment","sold","event","transaction","livestream","contract"] لا
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$portfolio_get_my_calendar_items_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.itemsarray نعم
$.oneOf[0].allOf[1].Payload.items[]MyCalendarItem لا
$.oneOf[0].allOf[1].Payload.items[].oneOf[0]object لا
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].idstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].titlestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].startDatestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].endDatestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].urlstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].colorTokenstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].startTime نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].startTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].startTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].endTime نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].endTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].endTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].isAllDayboolean نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].cityobject نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].city.namestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].city.slugstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].locationobject نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].location.namestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].sourceIDinteger نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].type = "bid" نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].status = "pending" نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].ownerRole = "buyer" نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].discussionPostIDinteger نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[0].discussionURLstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1]object لا
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].idstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].titlestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].startDatestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].endDatestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].urlstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].colorTokenstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].startTime نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].startTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].startTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].endTime نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].endTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].endTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].isAllDayboolean نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].cityobject نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].city.namestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].city.slugstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].locationobject نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].location.namestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].sourceIDinteger نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].typestring ["appointment","listing"] نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].statusstring ["confirmed","listed"] نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].ownerRolestring ["owner","shared"] نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].listingUUIDstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].listingIDstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[1].hintstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2]object لا
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].idstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].titlestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].startDatestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].endDatestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].urlstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].colorTokenstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].startTime نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].startTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].startTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].endTime نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].endTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].endTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].isAllDayboolean نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].cityobject نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].city.namestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].city.slugstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].locationobject نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].location.namestring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].sourceIDinteger نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].type = "sold" نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].status = "sold" نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].ownerRole = "seller" نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].saleTypestring ["request_filled","listing_sold"] نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].transactionIDinteger نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].bidIDinteger نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].amountCentsinteger نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].amountLabelstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].hintstring نعم
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].buyerIdentityHiddenboolean لا
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].buyerIdentityHiddenUntil لا
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].buyerIdentityHiddenUntil.anyOf[0]integer لا
$.oneOf[0].allOf[1].Payload.items[].oneOf[2].buyerIdentityHiddenUntil.anyOf[1]null لا
$.oneOf[0].allOf[1].Payload.metaobject نعم
$.oneOf[0].allOf[1].Payload.meta.fromstring نعم
$.oneOf[0].allOf[1].Payload.meta.tostring نعم
$.oneOf[0].allOf[1].Payload.meta.countsobject نعم
$.oneOf[0].allOf[1].Payload.meta.counts.listinginteger نعم
$.oneOf[0].allOf[1].Payload.meta.counts.bidinteger نعم
$.oneOf[0].allOf[1].Payload.meta.counts.appointmentinteger نعم
$.oneOf[0].allOf[1].Payload.meta.counts.soldinteger نعم
$.oneOf[0].allOf[1].Payload.meta.counts.event = 0 نعم
$.oneOf[0].allOf[1].Payload.meta.counts.transaction = 0 نعم
$.oneOf[0].allOf[1].Payload.meta.counts.livestream = 0 نعم
$.oneOf[0].allOf[1].Payload.meta.counts.contract = 0 نعم
$.oneOf[0].allOf[1].Payload.meta.generatedAtstring نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_my_calendar_items",
    "RequestUserAlias": "example-user",
    "Payload": {
        "items": [],
        "meta": {
            "from": "synthetic-example",
            "to": "synthetic-example",
            "counts": {
                "listing": 0,
                "bid": 0,
                "appointment": 0,
                "sold": 0,
                "event": 0,
                "transaction": 0,
                "livestream": 0,
                "contract": 0
            },
            "generatedAt": "synthetic-example"
        }
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/portfolio/get_my_travel_plan_archived

#
Archived travel plans for the v2 "My Bookings" archive view. Returns a newest-first list of the viewer's archived appointments, each carrying the city payload used by the normal My Bookings landing page.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
limit int لا 25 Maximum archived plans to include.
offset int لا 0 Number of archived plans to skip.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/portfolio/get_my_travel_plan_archived' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'limit={{limit}}' \
  --data-urlencode 'offset={{offset}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$portfolio_get_my_travel_plan_archived_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.itemsarray نعم
$.oneOf[0].allOf[1].Payload.items[]object لا
$.oneOf[0].allOf[1].Payload.items[].kind = "appointment" نعم
$.oneOf[0].allOf[1].Payload.items[].sortDatestring نعم
$.oneOf[0].allOf[1].Payload.items[].dataobject نعم
$.oneOf[0].allOf[1].Payload.items[].data.IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.ListingUUID نعم
$.oneOf[0].allOf[1].Payload.items[].data.ListingUUID.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.ListingUUID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.RespondByTime نعم
$.oneOf[0].allOf[1].Payload.items[].data.RespondByTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.RespondByTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.CreatedDatestring نعم
$.oneOf[0].allOf[1].Payload.items[].data.LastUpdateDatestring نعم
$.oneOf[0].allOf[1].Payload.items[].data.Datestring نعم
$.oneOf[0].allOf[1].Payload.items[].data.Timestring نعم
$.oneOf[0].allOf[1].Payload.items[].data.Cache-StartHourDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Cache-StartHour.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.Cache-StartHour.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.Status = "Archived" نعم
$.oneOf[0].allOf[1].Payload.items[].data.Creator-ATUser_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Creator-ATUser_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.Creator-ATUser_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.Cache-CurrentAskingPriceDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Cache-CurrentAskingPrice.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.Cache-CurrentAskingPrice.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.TransferTypestring نعم
$.oneOf[0].allOf[1].Payload.items[].data.AccessCode نعم
$.oneOf[0].allOf[1].Payload.items[].data.AccessCode.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.AccessCode.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.CurrentOwner-ATUser_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.CurrentOwner-ATUser_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.CurrentOwner-ATUser_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID نعم
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.LastTransferServiceFee-ATAccountsLedger_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID نعم
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID نعم
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATNotificationIntelligentTags_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID نعم
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID نعم
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.NoShow-ATAccountsLedger_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID نعم
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.Refund-ATAccountsLedger_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.LocationNamestring نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.Aliasstring نعم
$.oneOf[0].allOf[1].Payload.items[].data.Timezonestring نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_Aliasstring نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_Namestring نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CloseByCitySlug نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CloseByCitySlug.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CloseByCitySlug.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_Citystring نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CityGroupCode نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CityGroupCode.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocation_CityGroupCode.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_AppointmentTypeDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.items[].data.AppointmentDescriptorstring نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_AllowTransferServiceAddOnDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_AllowTransferServiceAddOn.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_AllowTransferServiceAddOn.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_TimeRangeUnitstring نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_StandardTransferFeeBasisPointsDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_StandardTransferFeeBasisPoints.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_StandardTransferFeeBasisPoints.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_LegacyTransferServiceFeeBasisPointsDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_LegacyTransferServiceFeeBasisPoints.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationCategory_LegacyTransferServiceFeeBasisPoints.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_Name نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_Name.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATLocationInventoryType_Name.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.Headcount نعم
$.oneOf[0].allOf[1].Payload.items[].data.Headcount.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.Headcount.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.Headcount.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.Headcount.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.Price نعم
$.oneOf[0].allOf[1].Payload.items[].data.Price.anyOf[0]DatabaseNumber نعمNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.items[].data.Price.anyOf[0].oneOf[0]number نعم
$.oneOf[0].allOf[1].Payload.items[].data.Price.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.Price.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATOrderLists_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATTransaction_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATBids_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.ATDiscussionPosts_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.MyPlansAccessRolestring ["owner","shared"] نعم
$.oneOf[0].allOf[1].Payload.items[].data.CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread نعم
$.oneOf[0].allOf[1].Payload.items[].data.CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread نعم
$.oneOf[0].allOf[1].Payload.items[].data.LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].data.DetailStatement نعم
$.oneOf[0].allOf[1].Payload.items[].data.DetailStatement.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.DetailStatement.anyOf[1] = false نعم
$.oneOf[0].allOf[1].Payload.items[].data.dateLabelstring نعم
$.oneOf[0].allOf[1].Payload.items[].data.timeLabelstring نعم
$.oneOf[0].allOf[1].Payload.items[].data.imageUrlstring نعم
$.oneOf[0].allOf[1].Payload.items[].data.imageURL256string نعم
$.oneOf[0].allOf[1].Payload.items[].data.imageURL512string نعم
$.oneOf[0].allOf[1].Payload.items[].data.primaryColorstring نعم
$.oneOf[0].allOf[1].Payload.items[].data.textColorstring نعم
$.oneOf[0].allOf[1].Payload.items[].data.lastListedPriceHistoryIDinteger لا
$.oneOf[0].allOf[1].Payload.items[].data.lastListedAmountCentsinteger لا
$.oneOf[0].allOf[1].Payload.items[].data.lastListedAmountLabelstring لا
$.oneOf[0].allOf[1].Payload.items[].data.lastListedAtstring لا
$.oneOf[0].allOf[1].Payload.items[].data.lastListedDateLabelstring لا
$.oneOf[0].allOf[1].Payload.items[].data.MyPlansArchivedDate نعم
$.oneOf[0].allOf[1].Payload.items[].data.MyPlansArchivedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].data.MyPlansArchivedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].cityobject نعم
$.oneOf[0].allOf[1].Payload.items[].city.codestring نعم
$.oneOf[0].allOf[1].Payload.items[].city.namestring نعم
$.oneOf[0].allOf[1].Payload.items[].city.emoji نعم
$.oneOf[0].allOf[1].Payload.items[].city.emoji.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.items[].city.emoji.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.items[].city.slugstring نعم
$.oneOf[0].allOf[1].Payload.items[].city.imageURL256string نعم
$.oneOf[0].allOf[1].Payload.items[].city.imageURL512string نعم
$.oneOf[0].allOf[1].Payload.pageobject نعم
$.oneOf[0].allOf[1].Payload.page.limitinteger نعم
$.oneOf[0].allOf[1].Payload.page.offsetinteger نعم
$.oneOf[0].allOf[1].Payload.page.returnedinteger نعم
$.oneOf[0].allOf[1].Payload.page.hasMoreboolean نعم
$.oneOf[0].allOf[1].Payload.page.nextOffsetinteger نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/portfolio/get_my_travel_plan_archived",
    "RequestUserAlias": "example-user",
    "Payload": {
        "items": [],
        "page": {
            "limit": 1,
            "offset": 0,
            "returned": 0,
            "hasMore": false,
            "nextOffset": 0
        }
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/portfolio/get_my_travel_plan_detail

#
Per-city travel plan detail — the v2 city detail page's data source. Returns the city's display data plus the viewer's appointments and active bids in that city. Appointment windows: upcoming = from two calendar days ago onward, past = before today, archived = archived plans. The recent cutoff uses the app timezone; approved reservations retain their existing 48-hour visibility rule. Active bids and seller-sold reservations retain their existing current/future windows. Locked reservation rows expose safe relisting metadata in reservationActions; reservationDetail remains false to protect booking details and exact time. Both lists are returned in the row shape that templates/portfolio/ _card_appointment.html and _card_active_bid.html expect, so the v2 page can call those partials directly with no field translation. Scale: per-user row counts are small. Both legacy library calls (`Bids::GetBidsByUserID`, `Appointment::GetAppointmentsByUserID`) scan only the user's rows; the per-city + per-window filter runs in PHP. Hard-capped at 200 rows per source.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
cityCode string نعم — IATA-style city group code (e.g. 'NYC').
window string لا "upcoming" 'upcoming' (default), 'past', or 'archived'.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/portfolio/get_my_travel_plan_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'cityCode={{cityCode}}' \
  --data-urlencode 'window={{window}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$portfolio_get_my_travel_plan_detail_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.cityobject نعم
$.oneOf[0].allOf[1].Payload.city.codestring نعم
$.oneOf[0].allOf[1].Payload.city.namestring نعم
$.oneOf[0].allOf[1].Payload.city.emoji نعم
$.oneOf[0].allOf[1].Payload.city.emoji.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.city.emoji.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.city.slugstring نعم
$.oneOf[0].allOf[1].Payload.city.imageURL256string نعم
$.oneOf[0].allOf[1].Payload.city.imageURL512string نعم
$.oneOf[0].allOf[1].Payload.appointmentsarray نعم
$.oneOf[0].allOf[1].Payload.appointments[]object لا
$.oneOf[0].allOf[1].Payload.appointments[].IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].ListingUUID نعم
$.oneOf[0].allOf[1].Payload.appointments[].ListingUUID.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].ListingUUID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].RespondByTime نعم
$.oneOf[0].allOf[1].Payload.appointments[].RespondByTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].RespondByTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].CreatedDatestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].LastUpdateDatestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].Datestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].Timestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].Cache-StartHourDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Cache-StartHour.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].Cache-StartHour.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].Statusstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].Creator-ATUser_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Creator-ATUser_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].Creator-ATUser_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].Cache-CurrentAskingPriceDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Cache-CurrentAskingPrice.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].Cache-CurrentAskingPrice.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].TransferTypestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].AccessCode نعم
$.oneOf[0].allOf[1].Payload.appointments[].AccessCode.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].AccessCode.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].CurrentOwner-ATUser_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].CurrentOwner-ATUser_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].CurrentOwner-ATUser_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID نعم
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].LastTransferServiceFee-ATAccountsLedger_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID نعم
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].LatestTransfer-ATNotificationIntelligentTags_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID نعم
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATNotificationIntelligentTags_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID نعم
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].SellerCustomerChat-ATNotificationIntelligentTags_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID نعم
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].NoShow-ATAccountsLedger_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID نعم
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].Refund-ATAccountsLedger_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].LocationNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].Aliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].Timezonestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_Aliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_Namestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CloseByCitySlug نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CloseByCitySlug.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CloseByCitySlug.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_Citystring نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CityGroupCode نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CityGroupCode.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocation_CityGroupCode.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_AppointmentTypeDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].AppointmentDescriptorstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_AllowTransferServiceAddOnDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_AllowTransferServiceAddOn.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_AllowTransferServiceAddOn.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_TimeRangeUnitstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_StandardTransferFeeBasisPointsDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_StandardTransferFeeBasisPoints.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_StandardTransferFeeBasisPoints.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_LegacyTransferServiceFeeBasisPointsDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_LegacyTransferServiceFeeBasisPoints.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationCategory_LegacyTransferServiceFeeBasisPoints.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_Name نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_Name.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATLocationInventoryType_Name.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].Headcount نعم
$.oneOf[0].allOf[1].Payload.appointments[].Headcount.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].Headcount.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].Headcount.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].Headcount.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].Price نعم
$.oneOf[0].allOf[1].Payload.appointments[].Price.anyOf[0]DatabaseNumber نعمNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.appointments[].Price.anyOf[0].oneOf[0]number نعم
$.oneOf[0].allOf[1].Payload.appointments[].Price.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].Price.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATOrderLists_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATTransaction_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATBids_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].ATDiscussionPosts_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].MyPlansAccessRolestring ["owner","shared"] نعم
$.oneOf[0].allOf[1].Payload.appointments[].CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread نعم
$.oneOf[0].allOf[1].Payload.appointments[].CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].CategoryReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread نعم
$.oneOf[0].allOf[1].Payload.appointments[].LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].LocationReview-ATDiscussionBoards_ID_TraderPointsPerThread.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].DetailStatement نعم
$.oneOf[0].allOf[1].Payload.appointments[].DetailStatement.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.appointments[].DetailStatement.anyOf[1] = false نعم
$.oneOf[0].allOf[1].Payload.appointments[].dateLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].timeLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].imageUrlstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].imageURL256string نعم
$.oneOf[0].allOf[1].Payload.appointments[].imageURL512string نعم
$.oneOf[0].allOf[1].Payload.appointments[].primaryColorstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].textColorstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].lastListedPriceHistoryIDinteger لا
$.oneOf[0].allOf[1].Payload.appointments[].lastListedAmountCentsinteger لا
$.oneOf[0].allOf[1].Payload.appointments[].lastListedAmountLabelstring لا
$.oneOf[0].allOf[1].Payload.appointments[].lastListedAtstring لا
$.oneOf[0].allOf[1].Payload.appointments[].lastListedDateLabelstring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].mode = "detail" نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0].totalinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0].submittedinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0].urlstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[0].transactionIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].customerSurveys.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].listingUUIDstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].accessobject نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.canViewFullboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.isOwnerboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.isSharedGuestboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.isReviewerboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.isUnlockedDetailboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.authorizedByShareCodeboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].access.readOnly = true لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].locationobject نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.idinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.namestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.aliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.addressstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.googleMapsURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.cityLinestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.timezonestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].location.imageURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservationobject نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.refundStatusLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.descriptorstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.inventoryNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.datestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.timestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.dateLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.timeLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.dateTimeLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.partySizeLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.checkInNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.emailstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.phonestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.detailStatementstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.purchaseSummarystring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.purchaseAmountFormattedstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.headcountinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFieldsarray نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[]object لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].idinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].labelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].descriptionstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].typestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.customFields[].valuestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reservation.isPastboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].peopleobject نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].people.ownerAliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].people.creatorAliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guestsReservationGuests نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[0]array نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].shareURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].headcountinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].confirmedCountinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].pendingSlotsinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].itemsarray نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[]object لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].kindstring ["owner","shared"] نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].namestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].aliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].statusstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].guests.anyOf[1].items[].lastSeenLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].reviewReservationReview نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[0]array نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[1].canReview = false نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[1].isActive = false نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].revisionstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].canReview = true نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].isActive = true نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].needsBeginboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].isInProgressboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].isSelfReviewboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].reviewRewardEligibleboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].reviewRewardPointsinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].askingPriceSmallestUnitinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].reviewRewardFormattedstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].askingPriceFormattedstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].questionstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].respondByDatestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].respondByTimestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].respondByLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].legacyReviewURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[0].amountFormattedstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[0].discussionURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].bid.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].historyarray نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[]object لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].createdLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].statusstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].descriptionstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].descriptionHTMLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].review.anyOf[2].history[].reviewerAliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actionsReservationActions نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].shareURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceCheckoutURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServicePriceLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceLocationNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceInventoryNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServiceTimeLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reportProblemURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].refundChatURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].refundChatV2URLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].sellerChatURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].sellerChatV2URLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].absoluteShareURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addServiceAppointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addTransferServicePriceSmallestUnitinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].refundChatIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].sellerChatIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].addServiceAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].manageAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reportInfractionAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferServiceobject نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.visibleboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.cancelAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.isRequestedboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.isInTransferboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.isCompletedboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.isFailedboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.typestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.statusstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.listingUUIDstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.currentNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedGivenNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedFamilyNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestedAtstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.requestEndpointstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].transferService.cancelEndpointstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].titlestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].promptstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].reviewRequest.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].locationReview.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellEndpointstring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellListingIDstring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellLocationNamestring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellInventoryNamestring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellDateLabelstring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellTimeLabelstring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellAppointmentIDinteger لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellCurrentPriceSmallestUnitinteger لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellMinPriceinteger لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellMaxPriceinteger لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellTransferFeeBasisPointsinteger لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellRequiresReviewboolean لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSelfReviewAvailableboolean لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellRelistOriginalboolean لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffersarray لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffers[]object لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffers[].timeLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffers[].priceLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[0].resellSameDayOffers[].inventoryTypestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].actions.anyOf[1]array نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].copyobject نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].copy.titlestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[0].copy.descriptionstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationDetail.anyOf[1] = false نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationActionsobject لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellEndpointstring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellListingIDstring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellLocationNamestring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellInventoryNamestring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellDateLabelstring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellTimeLabelstring لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellAppointmentIDinteger لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellCurrentPriceSmallestUnitinteger لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellMinPriceinteger لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellMaxPriceinteger لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellTransferFeeBasisPointsinteger لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellRequiresReviewboolean لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSelfReviewAvailableboolean لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellRelistOriginalboolean لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffersarray لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffers[]object لا
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffers[].timeLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffers[].priceLabelstring نعم
$.oneOf[0].allOf[1].Payload.appointments[].reservationActions.resellSameDayOffers[].inventoryTypestring نعم
$.oneOf[0].allOf[1].Payload.appointments[].sharePlanobject لا
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.isShared = true نعم
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.sharePlanAttachmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinStateSharedPlanJoinState نعم
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[0].status = "Unavailable" نعم
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[0].canRequest = false نعم
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[0].canManage = false نعم
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.appointments[].sharePlan.joinState.anyOf[1].statusstring ["Unavailable","Host","Joined","Pending","Accepted","Declined","None"] نعم
[...]
